<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" height="100%"
			   xmlns:s="library://ns.adobe.com/flex/spark" title="Relatório Posição Atrasados" 
			   xmlns:mx="library://ns.adobe.com/flex/mx" minWidth="400" minHeight="200" 
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   creationComplete="form_creationCompleteHandler(event)" 
			   xmlns:component="br.com.desenv.nepalign.view.component.*" 
			   xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*"
			   close="titlewindow1_closeHandler(event)">
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	<fx:Script>
		<![CDATA[
			import flash.net.URLRequest;
			import flash.net.URLVariables;
			
			import mx.collections.ArrayCollection;
			import mx.controls.Alert;
			import mx.core.FlexGlobals;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			
			import br.com.desenv.framework.util.DsvObjectUtil;
			import br.com.desenv.framework.util.IgnReportUtil;
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			
			
			protected static const REPORT_METHOD_NAME:String = "gerarRelatorio";
			protected static const REPORT_CLASS_NAME:String = "br.com.desenv.nepalign.relatorios.RelatorioPosicaoAtrasados";
			
			protected function form_creationCompleteHandler(event:FlexEvent):void
			{
				ignTextInputDiasVencidoInicial.text = "30";
				ignTextInputDiasVencidoFinal.text = "30";
				IgnTextInputDateDataBase.setFocus();
			}
			
			protected function titlewindow1_closeHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function buttonPesquisarCliente_clickHandler(event:MouseEvent):void
			{
				var clienteComponentePesquisa:ClienteComponentePesquisa = new ClienteComponentePesquisa();
				clienteComponentePesquisa.addEventListener("ClienteSelecionadoEvent", this.clientePesquisaResultHandler);
				UPCPopUpManager.instance.addPopUp(clienteComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(clienteComponentePesquisa);
			}
			
			private function clientePesquisaResultHandler(event:ResultEvent):void
			{
			}
			
			protected function button2_clickHandler(event:MouseEvent):void
			{
				var nome:String = "";
				if(this.IgnTextInputDateDataBase.text != null)
				{
					
					if(this.ignTextInputCliente.text!="")
					{
						nome = this.ignTextInputCliente.text;
						if(nome.charAt(0)!='%' && nome.charAt(nome.length-1)!='%' )
						{
							nome = "%"+nome+"%";
						}
						else if(nome.charAt(0)=='%' && nome.charAt(nome.length-1)!='%')
						{
							nome = nome.substring(1,nome.length);
							nome +='%';
						}
					}
				
				var urlReq:URLRequest = new URLRequest(FlexGlobals.topLevelApplication.parametrosSistema.getParametro("URL_SERVLET_RELATORIO"));;  
				var param:URLVariables = new URLVariables(); 
				param.classe = REPORT_CLASS_NAME;
				param.acao = REPORT_METHOD_NAME;
				param.diasVencidoInical = this.ignTextInputDiasVencidoInicial.text;
				param.diasVencidoFinal = this.ignTextInputDiasVencidoFinal.text;
				param.idEmpresaFisica = (this.dsvPerfilEmpresa.recuperarEmpresaFisicaSelecionada == null ? "" : this.dsvPerfilEmpresa.recuperarEmpresaFisicaSelecionada.id);
				param.cliente = nome;
				param.dataBase = this.IgnTextInputDateDataBase.text;
				param.dataEmissaoInicial = dsvPeriodoDataEmissao.dataInicial;
				param.dataEmissaoFinal = dsvPeriodoDataEmissao.dataFinal;
				/*urlReq.data = param;
				
				navigateToURL(urlReq, "_blank");
				*/
				new IgnReportUtil().gerarRelatorioSeguranca(null, "_blank", param);
				}
				else
				{
					Alert.show("Data base é obrigatoria!","Erro");
				}
			}
		]]>
	</fx:Script>
	<mx:VBox>
			<mx:Grid x="10" y="10" width="100%" styleName="grid">
				<mx:GridRow>
					<mx:GridItem styleName="gridLabel">
						<s:Label text="Data Base:"/>
					</mx:GridItem>
					<mx:GridItem>
						<visual:IgnTextInputDate id="IgnTextInputDateDataBase"  obrigatorio="true"/>
					</mx:GridItem>
				</mx:GridRow>
			</mx:Grid>
			<mx:Grid>
				<mx:GridRow width="100%" horizontalAlign="left">
					<mx:GridItem styleName="gridValor">
						<s:Label text=""/>
					</mx:GridItem>
					<mx:GridItem>
						<visual:DsvPeriodo id="dsvPeriodoDataEmissao" displayTitle="Periodo Emissão"/>
					</mx:GridItem>
				</mx:GridRow>
			</mx:Grid>
			<mx:Grid x="10" y="10" width="100%" styleName="grid">
				<mx:GridRow>
					<mx:GridItem styleName="gridLabel">
						<s:VGroup>
							<s:Label text="Atraso de:"/>	
							<s:HGroup>
								<visual:IgnTextInput id="ignTextInputDiasVencidoInicial" width="50"/>
								<s:Label text="a:"/>
								<visual:IgnTextInput id="ignTextInputDiasVencidoFinal" width="50"/>
							</s:HGroup>
						</s:VGroup>
					</mx:GridItem>
				</mx:GridRow>
			</mx:Grid>


		<mx:Grid x="10" y="10" width="100%" styleName="grid">
			<mx:GridRow>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Empresa"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor" width="300" colSpan="3">
					<visual:DsvPerfilEmpresa id="dsvPerfilEmpresa" obrigatorio="false" componentWidth="300" tipoPesquisa="{DsvPerfilEmpresa.LISTAR_APENAS_LOJAS}"/>
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Cliente:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:HGroup>
						<visual:IgnTextInput id="ignTextInputCliente" width="200" />
					</s:HGroup>
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem>
					<s:Spacer height="10"/>
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem styleName="gridValor" horizontalAlign="right" colSpan="2">
					<s:Button label="Gerar Relatório" click="button2_clickHandler(event)"  />
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem>
					<s:Spacer height="10"/>
				</mx:GridItem>
			</mx:GridRow>
		</mx:Grid>
	</mx:VBox>
	
</s:TitleWindow>
